#### D.13.2.30 linealitySpace

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  linealitySpace(c); c cone

Return:
  cone, the lineality space of c

Example:

    LIB "gfan.lib";
    intmat M1[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone c1=coneViaPoints(M1);
    cone l1=linealitySpace(c1);
    l1;
    ==> AMBIENT_DIM
    ==> 3
    ==> INEQUALITIES
    ==>
    ==> LINEAR_SPAN
    ==> 1,0,0,
    ==> 0,1,0,
    ==> 0,0,1
    ==>
    intmat M2[4][3]=
    1,0,0,
    0,1,0,
    0,0,1,
    -1,0,0;
    cone c2=coneViaPoints(M2);
    cone l2=linealitySpace(c2);
    l2;
    ==> AMBIENT_DIM
    ==> 3
    ==> INEQUALITIES
    ==>
    ==> LINEAR_SPAN
    ==> 0,1,0,
    ==> 0,0,1
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.